Subject: [PATCH 0/7] Introducing a generic AMP framework

From: [email-masked] (Saravana Kannan)
Date: Wed, 23 Nov 2011 12:28:23 -0800

On 11/23/2011 08:10 AM, Mark Brown wrote:
> On Wed, Nov 23, 2011 at 12:27:31PM +0200, Ohad Ben-Cohen wrote:
>> On Wed, Nov 23, 2011 at 5:25 AM, Saravana Kannan<[email-masked]>  wrote:
>
>>> Sorry for the rant, this naming just rubs me the wrong way. I definitely
>>> appreciate the idea behind these patches.
>
>> I don't share the same naming concerns you have (if any, then
>> confusion with the bluetooth AMP patches and prefixes is more of a
>> concern to me), but I don't care deeply about names.
>
> I guess one very real potential for confusion here is the big/little
> stuff that ARM are pushing for next generation SoCs where a Linux image
> does actually run on muliple asymmetric cores.
>
>> Feel free to offer a different name, though really 'amp' here only
>> describes the general model and motivation and is rarely used
>> throughout the code; we mostly either use 'remoteproc' or 'rpmsg',
>> which respectively refer to the two frameworks that are being added
>> (the former responsible for controlling the state of the remote
>> processors, and the latter for communicating with them).
>
> How about using remoteproc then?

remoteproc, peripheral proc, device proc, firmware proc (kinda lines up 
with request_firmware naming). Just throwing out names. Any one of these 
are okay with me.

remoteproc would probably be the best fit since it's already used in the 
code and people are used to discussing about it.

Thanks,
Saravana

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.